.meter {
    width: 100%;
    max-width: 600px;
    font-family: Arial, sans-serif;
}

.meterRow {
    margin-bottom: 1em;
    display: flex;
    align-items: center;
}

label {
    width: 100px;
    font-weight: bold;
}

.bar {
    flex-grow: 1;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 8px;
    height: 24px;
    margin: 0 10px;
    overflow: hidden;
    position: relative;
}


.fill {
    height: 100%;
    width: 0;
    min-width: 5px;
    border: 1px solid #2AA9FF;
    transition: width 2s ease-in-out;
    border-radius: 8px 0 0 8px;
    box-shadow:
        0 0 8px rgba(255, 216, 74, 0.6),
        inset 0 50px 15px rgba(42, 107, 255, 0.8);
    position: relative;
}


.pct {
    width: 40px;
    text-align: right;
    font-weight: bold;
}